Bug 482043 - spice : turning on firewall (on the client) cause the spice to stuck
spice : turning on firewall (on the client) cause the spice to stuck
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Uri Lublin
Desktop QE
http://mantis.tlv.redhat.com/view.php...
:
Depends On:
Blocks: 563347
  Show dependency treegraph
 
Reported: 2009-01-27 13:31 EST by Omri Hochman
Modified: 2011-06-15 10:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 10:36:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rlerch: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2009-01-27 13:31:14 EST


---- Reported by ohochman@redhat.com 2008-05-01 16:17:51 EDT ----

Turning on firewall (on the client) cause the spice to stuck.

Additional Information: scenario to reproduce: 

* use spice when "client windows fire wall" is off 
* turn on windows fire wall 

the client spice get stuck . 

 - setting the USB port 32023 on the fire wall solves the issue.    

likely to happen when changing organizational security policy and blocking port 32023  .


spice log : 
CommandLine::parse_cmd_line: IPC channel is on.
CommandLine::parse_cmd_line: Ticketing enabled without a password.
CommandLine::parse_cmd_line: USB server port is 32023
IPC thread started
CSystemMenu::Attach: Attached to system menu 03A30925
Creating menu > item - > flags 800 > id 0
Creating menu > item Send Ctrl+Alt+Del	Ctrl+Alt+End > flags 0 > id 4864
Creating menu > item Toggle full screen	Shift+F11 > flags 0 > id 5120
Creating menu > item Special keys > flags 10 > id 2
Creating menu > item Send Shift+F11 > flags 0 > id 5376
Creating menu > item Send Shift+F12 > flags 0 > id 5632
Creating menu > item Send Ctrl+Alt+End > flags 0 > id 5888
Creating menu > item USB Devices > flags 10 > id 6144
Creating menu > item No USB devices > flags 0 > id 6144
notify: display 0: using cairo
Creating menu > item Disconnect > flags 0 > id 4608
Creating menu > item - > flags 800 > id 1
Creating menu > item Send Ctrl+Alt+Del	Ctrl+Alt+End > flags 0 > id 4864
Creating menu > item Toggle full screen	Shift+F11 > flags 0 > id 5120
Creating menu > item Special keys > flags 10 > id 2
Creating menu > item Send Shift+F11 > flags 0 > id 5376
Creating menu > item Send Shift+F12 > flags 0 > id 5632
Creating menu > item Send Ctrl+Alt+End > flags 0 > id 5888
Creating menu > item - > flags 800 > id 3
Creating menu > item USB Devices > flags 10 > id 6144
Creating menu > item No USB devices > flags 1 > id 6144
Creating menu > item - > flags 800 > id 4
Creating menu > item Change CD > flags 10 > id 5
Creating menu > item AIK.iso > flags 0 > id 6
Creating menu > item CentOS-5.0-x86_64-bin-DVD.iso > flags 0 > id 7
Creating menu > item Fedora-7-32-bit.iso > flags 0 > id 8
Creating menu > item QumranetToolsSetup_13723.iso > flags 0 > id 9
Creating menu > item QumranetToolsSetup_13798.iso > flags 0 > id 10
Creating menu > item QumranetToolsSetup_13884.iso > flags 0 > id 11
Creating menu > item RHEL-5.1-server-i386-dvd.iso > flags 0 > id 12
Creating menu > item trixbox-224.iso > flags 0 > id 13
Creating menu > item w2k3sp2_3959_usa_x86fre_spcd.iso > flags 0 > id 14
Creating menu > item win-2000-pro-sp4.iso > flags 0 > id 15
Creating menu > item win-2003-64.iso > flags 0 > id 16
Creating menu > item win-2003-r2-enterprise-cd1.iso > flags 0 > id 17
Creating menu > item win-2003-r2-enterprise-cd2.iso > flags 0 > id 18
Creating menu > item winpe_x86-netboot.iso > flags 0 > id 19
Creating menu > item win-xp-pro-sp2-32bit-MSDN.iso > flags 0 > id 20
Creating menu > item win-xp-pro-sp2-32bit-VLK.iso > flags 0 > id 21
Creating menu > item [eject] > flags 0 > id 22
Creating menu > item - > flags 800 > id 23
Creating menu > item Play > flags 0 > id 24
Creating menu > item Pause > flags 0 > id 25
Creating menu > item Stop > flags 0 > id 26
Application::on_sys_command: WM_SYSCOMMAND - 6144
warning: RedPeer::recive: 10054
warning: RedPeer::recive: 10054
warning: RedPeer::recive: 10054




---- Additional Comments From ghammer@redhat.com 2008-05-05 16:52:45 EDT ----

We probably need to add a keep-alive (or timeout).



---- Additional Comments From dlaor@redhat.com 2008-05-06 15:10:27 EDT ----

Arnon, please add keepalive with timeout of 10-30 seconds.
10x



---- Additional Comments From ohochman@redhat.com 2008-12-03 15:07:39 EDT ----

reproduced ib29



--- Bug imported by bugzilla@redhat.com 2009-01-27 13:32 EDT ---

This bug was previously known as _bug_ 3635 at http://mantis.tlv.redhat.com/show_bug.cgi?id=3635

Actual time not defined. Setting to 0.0

Comment 1 RHEL Product and Program Management 2009-06-22 14:48:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 RHEL Product and Program Management 2010-07-15 10:13:19 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 7 RHEL Product and Program Management 2011-01-07 10:36:32 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 8 Hans de Goede 2011-03-01 10:36:47 EST
The spice client getting "stuck" when you cut of its network connection is expected behavior, closing.

Note You need to log in before you can comment on or make changes to this bug.